Subject: bug#59587: 28.2; gnus does not retrieve emails sent from another device

From: Waleed Yousef <[email-masked]>
Date: Thu, 01 Dec 2022 09:16:54 -0800

Thanks again for your time,

I have four emails, three are pop3 and one is imap. I am using nnml. This is my gnus.el part:

```
(setq mail-sources `(
		                 (pop :server "pop.gmail.com"
			                    :user "[email-masked]"
			                    :port 995
			                    :stream ssl)
		                 (pop :server "pop.gmail.com"
			                    :user "[email-masked]"
			                    :port 995
			                    :stream ssl)
		                 (pop :server "pop.gmail.com"
			                    :user "[email-masked]"
			                    :port 995
			                    :stream ssl)
		                 (imap :server "mail.uvic.ca"
		       	              :user "[email-masked]"
		       	              :port 993
		       	              :stream ssl
			                    )
		                 )
      gnus-select-method '(nntp "news.gnus.org")
      gnus-secondary-select-methods '((nnml ""))

      user-mail-address "[email-masked]"
      user-full-name "Waleed Yousef"
      send-mail-function		'smtpmail-send-it
      message-send-mail-function	'smtpmail-send-it
      smtpmail-smtp-server		"smtp.gmail.com"
      smtpmail-smtp-service             '587
)
```

Another piece of information is that I am using spacemacs, which I do not think it will make any difference as its maintainers confirmed to me that they did not change anything with gnus

Thanks so much.

Eric Abrahamsen <[email-masked]> writes:

> Waleed Yousef <[email-masked]> writes:
>
>> Thanks so much for your reply. After I read your reply, I did several
>> experiments and found that the problem does not happen (that is, Gnus
>> pulls the sent messages) if I send from the webmail interface of a
>> pop3 email, e.g., using chrome to send from my gmail account. In that
>> case Gnus will pull the sent email. However, if the email is sent from
>> my iphone (whether IMAP or pop3 account) or even from a webmail
>> interface of an IMAP account, Gnus does not pull the sent email
>> although the email is indeed saved in the sent box (I go online and
>> check).
>
> This still isn't enough information to help you. How is Gnus fetching
> mail for this account? Is it an nnimap backend, or some other mail
> backend using a mail source?